org.eclipse.microprofile.context.tck

## Class TckTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.context.tck.TckTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class TckTest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`TckTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `afterMethod(Method m, org.testng.ITestResult result)`
`void` `beforeMethod(Method m)`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `providerSet()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TckTest

    public TckTest()

### Method Detail

#### afterMethod

    @AfterMethod
    public void afterMethod(Method m,
                                         org.testng.ITestResult result)

#### beforeMethod

    @BeforeMethod
    public void beforeMethod(Method m)

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### providerSet

    public void providerSet()